## org.hornetq.api.core.client
Interface SessionFailureListener

All Superinterfaces:
  org.hornetq.core.remoting.FailureListener

    public interface SessionFailureListener

extends org.hornetq.core.remoting.FailureListener

A SessionFailureListener notifies the client when a failure occurred on the session.

Author:
  Tim Fox

Method Summary
`void` `beforeReconnect(HornetQException exception)` Notifies that a connection has failed due to the specified exception.

Methods inherited from interface org.hornetq.core.remoting.FailureListener
`connectionFailed`

Method Detail

### beforeReconnect

    void beforeReconnect(HornetQException exception)

  Notifies that a connection has failed due to the specified exception.
  This method is called before the session attempts to reconnect/failover.

  Parameters:
    `exception` - exception which has caused the connection to fail

Copyright © 2009 Red Hat Inc. All Rights Reserved.